Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.adapters
Class DOMAdapter

    java.lang.Object
      com.dbxml.db.core.adapter.SimpleAdapter
          com.dbxml.db.common.adapters.DOMAdapter

All Implemented Interfaces:
  Adapter

public final class DOMAdapter
extends SimpleAdapter

DOMAdapter adapts a dbXML Collection to support the management of DOM Documents.

Constructor Summary
`DOMAdapter(Collection col)`

Method Summary
`org.w3c.dom.Document` | `getDocument(Transaction tx, java.lang.Object key)` getDocument instantiates and returns a DOM Document based on the provided Key.
`Key` | `insertDocument(Transaction tx, org.w3c.dom.Document doc)` insertDocument inserts a DOM Document into the Collection and returns a newly generated Key.
`void` | `insertDocument(Transaction tx, java.lang.Object key, org.w3c.dom.Document doc)` insertDocument inserts a DOM Document into the Collection based on the specified Key.
`void` | `setDocument(Transaction tx, java.lang.Object key, org.w3c.dom.Document doc)` setDocument sets a DOM Document in the Collection based on the provided Key.

Methods inherited from class com.dbxml.db.core.adapter.SimpleAdapter
`getCanonicalName, getCollection, getKeyCount, getName, listKeys, queryCollection, queryDocument, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMAdapter

    public DOMAdapter(Collection col)

Method Detail

### setDocument

    public void setDocument(Transaction tx,
                            java.lang.Object key,
                            org.w3c.dom.Document doc)
                     throws DBException

  setDocument sets a DOM Document in the Collection based on the provided Key.

  Parameters:
    `tx` - The controlling Transaction
    `key` - The Key to use
  Throws:
    `DBException` - If a Database Exception occurs

### insertDocument

    public Key insertDocument(Transaction tx,
                              org.w3c.dom.Document doc)
                       throws DBException

  insertDocument inserts a DOM Document into the Collection and returns a newly generated Key.

  Parameters:
    `tx` - The controlling Transaction
  Returns:
    The new Object Identifier
  Throws:
    `DBException` - If a Database Exception occurs

### insertDocument

    public void insertDocument(Transaction tx,
                               java.lang.Object key,
                               org.w3c.dom.Document doc)
                        throws DBException

  insertDocument inserts a DOM Document into the Collection based on the specified Key.

  Parameters:
    `tx` - The controlling Transaction
    `key` - The Key to use
  Throws:
    `DBException` - If a Database Exception occurs

### getDocument

    public org.w3c.dom.Document getDocument(Transaction tx,
                                            java.lang.Object key)
                                     throws DBException

  getDocument instantiates and returns a DOM Document based on the provided Key.

  Parameters:
    `tx` - The controlling Transaction
    `key` - The Document Key
  Returns:
    a DOM Document
  Throws:
    `DBException` - If a Database Exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group